<template>
    <div :class="{active:burgerMobileMenu}" class="header__menu">
        <div class="header__menu-inner">
            <div class="header__menu-box">
                <div @click.prevent="isShowMenuGame = !isShowMenuGame" class="header__menu-line">
                    <a class="header__menu-title" href="">Игры</a>
                    <svg width="14" height="8" viewbox="0 0 14 8" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M13 7L7 0.999999L1 7" stroke="#FF8231" stroke-width="2"
                              stroke-linecap="round" stroke-linejoin="round"></path>
                    </svg>
                </div>
                <div :class="{show:isShowMenuGame}" class="header__menu-content">
                    <Link :href="game.url"
                          v-for="game in $page.props.games.data"
                          class="header__menu-content--link">
                        {{ game.name }}
                    </Link>
<!--                    <a class="header__menu-content&#45;&#45;link" href="">Warcraft </a>-->
                </div>
            </div>
            <div class="header__menu-box">
                <Link class="header__menu-title" :href="route('posts.index')">Новости</Link>>
            </div>
            <div class="header__menu-box">
                <Link class="header__menu-title" :href="route('info')">Информация</Link>
            </div>
            <div class="header__menu-box">
                <Link class="header__menu-title" :href="route('dashboard.profile.edit')">Профиль</Link>
            </div>
            <div class="header__menu-box">
                <Link class="header__menu-title" :href="route('dashboard.history')">История</Link>
            </div>
            <a class="header__lang" href="">
                <img class="header__lang-img" src="/img/flag.svg" alt="">
                <p class="header__lang-text">RUS</p>
            </a>
            <div class="header__menu-bottom">
                <Link class="header__menu-bottom--button button flex" :href="route('support')">
                    Поддержка
                </Link>
                <p class="header__menu-bottom--text">© {{ new Date().getFullYear() }}, ООО «Market»</p>
                <Link class="header__menu-bottom--text link" :href="route('privacy-policy')">
                    Политика конфиденциальности
                </Link>
                <Link class="header__menu-bottom--text link" :href="route('privacy-policy')">
                    Пользовательское соглашение
                </Link>
            </div>
        </div>
    </div>
</template>

<script setup>
import {Link} from "@inertiajs/vue3";
import {ref} from "vue";

const props = defineProps({
    burgerMobileMenu:Boolean
})

const isShowMenuGame = ref(false);
</script>

<style>
.header__menu-content.show{
    display: block!important;
}
</style>

